Conteúdo
Índice 🔎︎

# Iniciar o LibreOffice com parâmetros

Ao iniciar o LibreOffice a partir da linha de comandos, pode atribuir vários parâmetros, com os quais pode influenciar o desempenho. A utilização de parâmetros da linha de comandos só deve ser utilizada por utilizadores experientes.

Para uma utilização normal, a utilização de parâmetros de linha de comandos não é necessária. Determinados parâmetros requerem um conhecimento mais avançado da tecnologia do LibreOffice .

## Iniciar o LibreOffice a partir da linha de comandos

1. Em sistemas Windows, selecione Executar no menu Iniciar e em Linux, *BSD ou mac OS, abra uma consola.

2. Em sistemas Windows, introduza o seguinte texto no campo de texto em Abrir e clique em Aceitar.

3. Em sistemas do tipo UNIX, digite este texto e prima Return:

   {install}\program\soffice.exe {parameter} {install}/program/soffice {parameter}

   Substitua {install} com o caminho para a instalação do LibreOffice (por exemplo, C:\Program Files\Office em Windows ou ~/office em UNIX)

## Parâmetros válidos para a linha de comandos

### Iniciar sem parâmetros especiais

Iniciar sem parâmetros abre o centro de partida.

{ficheiro} | Tentar abrir o ficheiro ou ficheiros com os componentes mais adequados.
{file} macro:///[Library.Module.MacroName] | Abre o ficheiro a aplica as macros especificadas do ficheiro.

### Obter ajuda e informação

Parâmetro | Significado
--help / -h / -? | Lista os parâmetros disponíveis para a linha de comandos.
--helpwriter | Abre a ajuda local ou online do LibreOffice Writer.
--helpcalc | Abre a ajuda local ou online do LibreOffice Calc.
--helpdraw | Abre a ajuda local ou online do LibreOffice Draw.
--helpimpress | Abre a ajuda local ou online do LibreOffice Impress.
--helpbase | Abre a ajuda local ou online do LibreOffice Base.
--helpbasic | Abre a ajuda local ou online do LibreOffice para a linguagem Basic.
--helpmath | Abre a ajuda local ou online do LibreOffice Math.
--version | Mostra a versão do LibreOffice e fecha.
--nstemporarydirectory | (Apenas macOS) Devolve o caminho do diretório temporário do utilizador atual, e encerra o programa. Sobrepõe-se a quaisquer outros argumentos.

### Argumentos genéricos

Parâmetro | Significado
--quickstart[=no] | Ativa [ou desativa] o serviço de Início rápido. Só pode ter um parâmetro no que desativa o serviço do Inicio rápido. Sem parâmetros, este serviço é ativado.
--nolockcheck | Desativa a verificação de instâncias remotas durante a instalação.
--infilter={filter} | Força um filtro de entrada quando possível. Por exemplo: --infilter="Calc Office Open XML" --infilter="Text (encoded):UTF8,LF,Liberation Mono,en-US".
--pidfile={file} | Armazena o id de processo (pid) de soffice.bin em {arquivo}.
--display {display} | Define a variável de ambiente DISPLAY em sistemas do tipo UNIX como {display}. Este parâmetro só pode ser utilizado pelo script de arranque do LibreOffice em sistemas do tipo UNIX.

### Controlo da interface de utilizador ou programática

Parâmetro | Significado
--nologo | Desativa o ecrã de arranque ao iniciar o programa.
--minimized | Inicia no modo minimizado. O ecrã de arranque não é exibido.
--nodefault | Inicia sem qualquer exibição, para além do ecrã de arranque.
--invisible | Inicia no modo invisível. Os logótipos de início e a janela de início do programa não estarão visíveis. Contudo, o LibreOffice pode ser controlado e os documentos e caixas de diálogo abertos através da API. Ao usar o parâmetro, o LibreOffice só pode ser encerrado pelo gestor de programas (Windows) ou o comando kill (sistemas tipo UNIX). Não poderá ser utilizado em conjunto com -quickstart. Poderá obter mais informações no Guia de programadores do LibreOffice.
--headless | Inicia em "modo headless", o que permite utilizar a aplicação sem a interface do utilizador. Este modo especial pode ser usado quando a aplicação está a ser controlada por clientes externos através da API.
--norestore | Desativa a função reiniciar e a recuperação de ficheiros depois de uma avaria do sistema.
--safe-mode | Inicia no modo seguro, ou seja, inicia temporariamente com um perfil de utilizador novo, e auxilia o diagnóstico e conserto de uma configuração defeituosa.
--accept={UNO} | Notifica o LibreOffice que, ao serem criadas as "UNO Acceptor Threads", será utilizada uma "UNO Accept String". O UNO-URL é um texto do tipo uno:connection-type,params;protocol-name,params;ObjectName. Poderá obter mais informações no Guia de programadores do LibreOffice.
--unaccept={UNO-URL} | Fecha um aceitante criado com --accept={UNO string}. Utilize --unaccept=all para fechar todos os aceitantes abertos.
--language={lang} | Utiliza um idioma especificado, se o idioma não estiver selecionado para a interface do utilizador. O idioma é uma tag da lista do IETF.

### Argumentos para desenvolvimento

Parâmetro | Significado
--terminate_after_init | Encerra após completar a inicialização (sem documentos carregados).
--eventtesting | Sair depois de carregar os documentos.

### Argumentos para criação de documentos

Os argumentos criam um documento vazio do tipo especificado. Apenas um tipo pode ser usado em uma linha de comando. Se os ficheiros forem especificados após o argumento, serão abertos no componente especificado.

Parâmetro | Significado
--writer | Inicia um documento do Writer em branco.
--calc | Inicia um documento do Calc em branco.
--draw | Inicia um documento do Draw em branco.
--impress | Inicia com um documento Impress em branco.
--math | Inicia um documento do Math em branco.
--global | Inicia com um modelo global de documentos do Writer em branco.
--web | Inicia com um documento HTML em branco.

### Argumentos de abertura de ficheiros

Os argumentos definem como os ficheiros que seguem são tratados. Um tratamento novo começa depois do argumento, e termina no argumento seguinte. O tratamento padrão é abrir os documentos para edição, e criar novos documentos a partir de modelos.

Parâmetro | Significado
-n | Trata os ficheiros seguintes como modelos para a criação de novos documentos.
-o | Abre os ficheiros para edição, independente de serem modelos ou não.
--pt {Printername} | Imprime os ficheiros que seguem na impressora {Printername} e termina. O ecrã de arranque não é apresentado. Se o nome do ficheiro incluir espaços, será necessário colocar esse nome entre aspas. Se utilizado várias vezes, apenas a última {Printername} é efetiva para todos os documentos em todas as execuções do comando --pt. O argumento --printer-name da chave --print-to-file interfere com {Printername}.
-p | Imprime os ficheiros para a impressora padrão, e em seguida fecha os ficheiros. O ecrã de início não aparece. Se o nome do ficheiro incluir espaços, será necessário colocar esse nome entre aspas.
--view | Abre os ficheiros no modo de visualização (só leitura).
--show | Abre e inicia os documentos de apresentação. Os ficheiros são fechados depois da apresentação de diapositivos. Os ficheiros que não são documentos do Impress são abertos no modo padrão, independente do modo anterior.
--convert-to OutputFileExtension[:OutputFilterName] [--outdir output_dir] | Converte um lote de ficheiros (implica o parâmetro --headless). Se o parâmetro --outdir não for especificado, utiliza o diretório atual para a saída da conversão. Se o parâmetro --convert-to for usado mais de uma vez, o último valor de OutputFileExtension[:OutputFilterName] será efetivo. Se --outdir for usado mais de uma vez, o seu último valor será efetivo. Por exemplo: --convert-to pdf *.doc --convert-to pdf:writer_pdf_Export --outdir /home/user *.doc --convert-to "html:XHTML Writer File:UTF8" *.doc --convert-to "txt:Text (encoded):UTF8" *.doc Consulte a lista de filtros de documentos para a conversão de ficheiros.
--print-to-file [--printer-name printer_name] [--outdir output_dir] | Imprime um lote de ficheiros num ficheiro. Se --outdir não for especificado, o diretório atual será usado como output_dir. Se --printer-name ou --outdir for usada mais de uma vez, apenas o último valor será efetivo. Além disso, {Printername} da chave --pt interfere com --printer-name. Por exemplo: --print-to-file *.doc --print-to-file --printer-name nasty_lowres_printer --outdir /home/user *.doc
--cat | Aplica o filtro "txt:Text" aos documentos de textos que seguem, e descarrega o conteúdo textual para a consola (implica em --headless). Não pode ser usado juntamente com --convert-to.
-env:VAR[=VALUE] | Define uma variável de bootstrap. Por exemplo, um caminho de perfil de utilizador que não é padrão: -env:UserInstallation=file:///tmp/test

### Chaves ignoradas

Parâmetro | Significado
-psn | Ignorado (apenas macOS)
-Embedding | Ignorado (relacionado com COM+; apenas Windows)
--nofirststartwizard | Não faz nada, aceite apenas para compatibilidade retroativa.
--protector {arg1} {arg2} | Usado apenas em unidades de teste, e deve ter dois argumentos.